[prev in list] [next in list] [prev in thread] [next in thread] 

List:       lustre-cvs
Subject:    [Lustre-cvs] CVS: obd Makefile.am,1.4,1.5 Makefile.in,1.6,1.7 configure,1.8,1.9 configure.in,1.7,1.8
From:       "Peter J. Braam" <braam () users ! sourceforge ! net>
Date:       2001-12-28 4:41:17
[Download RAW message or body]

Update of /cvsroot/lustre/obd
In directory usw-pr-cvs1:/tmp/cvs-serv5726

Modified Files:
	Makefile.am Makefile.in configure configure.in 
Log Message:
A solid part of the MDS request processing infrastructure. 
  - packing/unpacking and definition of requests
  - a server daemon
  - getattr call coded

Lustre idl file created:
  - move all interface definitions here
  - that's ioctl's, mds requests/replies & obd requests/replies

Makefiles:
  - configure.in can handle user mode linux now

utils:
  - fixed the obdctl library to support old version of readline.





Index: Makefile.am
===================================================================
RCS file: /cvsroot/lustre/obd/Makefile.am,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- Makefile.am	2001/12/17 15:00:38	1.4
+++ Makefile.am	2001/12/28 04:41:14	1.5
@@ -4,7 +4,7 @@
 # See the file COPYING in this distribution
 
 AUTOMAKE_OPTIONS = foreign
-SUBDIRS = utils filterobd class ext2obd obdfs obdtrace demos doc scripts \
+SUBDIRS = mds utils filterobd class ext2obd llight obdfs obdtrace demos doc scripts 
 	# oraid1 rpctarget inofs rpcclient tests
 EXTRA_DIST = BUGS FDL Rules include patches
 

Index: Makefile.in
===================================================================
RCS file: /cvsroot/lustre/obd/Makefile.in,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- Makefile.in	2001/12/17 15:00:38	1.6
+++ Makefile.in	2001/12/28 04:41:14	1.7
@@ -78,8 +78,7 @@
 modulefsdir = @modulefsdir@
 
 AUTOMAKE_OPTIONS = foreign
-SUBDIRS = utils filterobd class ext2obd obdfs obdtrace demos doc scripts 	# oraid1 \
                rpctarget inofs rpcclient tests
-
+SUBDIRS = mds utils filterobd class ext2obd llight obdfs obdtrace demos doc scripts 
 EXTRA_DIST = BUGS FDL Rules include patches
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
@@ -332,6 +331,7 @@
 installdirs mostlyclean-generic distclean-generic clean-generic \
 maintainer-clean-generic clean mostlyclean distclean maintainer-clean
 
+	# oraid1 rpctarget inofs rpcclient tests
 
 # We get the version from the obd.spec file.
 configure: scripts/obd.spec

Index: configure
===================================================================
RCS file: /cvsroot/lustre/obd/configure,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- configure	2001/12/11 21:08:40	1.8
+++ configure	2001/12/28 04:41:14	1.9
@@ -1912,17 +1912,12 @@
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS \
>&5'  ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-# There is surely a better way to do this:
-KFLAGS='-g -O2 -Wall -Wstrict-prototypes -pipe'
-
-CFLAGS='$(KFLAGS) $(MFLAGS)'
-CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. -I$(LINUX)/include \
-I/usr/include/dafs -I$(top_srcdir)/include'  \
######################################################################  
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name \
with args.  set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-echo "$as_me:1925: checking for $ac_word" >&5
+echo "$as_me:1920: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1937,7 +1932,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
-echo "$as_me:1940: found $ac_dir/$ac_word" >&5
+echo "$as_me:1935: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1945,10 +1940,10 @@
 fi
 RANLIB=$ac_cv_prog_RANLIB
 if test -n "$RANLIB"; then
-  echo "$as_me:1948: result: $RANLIB" >&5
+  echo "$as_me:1943: result: $RANLIB" >&5
 echo "${ECHO_T}$RANLIB" >&6
 else
-  echo "$as_me:1951: result: no" >&5
+  echo "$as_me:1946: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1957,7 +1952,7 @@
   ac_ct_RANLIB=$RANLIB
   # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
-echo "$as_me:1960: checking for $ac_word" >&5
+echo "$as_me:1955: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1972,7 +1967,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_RANLIB="ranlib"
-echo "$as_me:1975: found $ac_dir/$ac_word" >&5
+echo "$as_me:1970: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1981,10 +1976,10 @@
 fi
 ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
 if test -n "$ac_ct_RANLIB"; then
-  echo "$as_me:1984: result: $ac_ct_RANLIB" >&5
+  echo "$as_me:1979: result: $ac_ct_RANLIB" >&5
 echo "${ECHO_T}$ac_ct_RANLIB" >&6
 else
-  echo "$as_me:1987: result: no" >&5
+  echo "$as_me:1982: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2004,54 +1999,70 @@
 
 LINUX=$enable_linuxdir
 
-echo "$as_me:2007: checking if make dep has been run in kernel source" >&5
+echo "$as_me:2002: checking if make dep has been run in kernel source" >&5
 echo $ECHO_N "checking if make dep has been run in kernel source... $ECHO_C" >&6
 if test -f $LINUX/include/linux/config.h ; then
-	echo "$as_me:2010: result: yes" >&5
+	echo "$as_me:2005: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-	{ { echo "$as_me:2013: error: ** cannot find $LINUX/include/linux/config.h. Run \
make dep in $LINUX." >&5 +	{ { echo "$as_me:2008: error: ** cannot find \
$LINUX/include/linux/config.h. Run make dep in $LINUX." >&5  echo "$as_me: error: ** \
cannot find $LINUX/include/linux/config.h. Run make dep in $LINUX." >&2;}  { (exit \
1); exit 1; }; }  fi
+
+echo "$as_me:2013: checking if you are running user mode linux" >&5
+echo $ECHO_N "checking if you are running user mode linux... $ECHO_C" >&6
+if test X`readlink $LINUX/include/asm`='Xasm-um' ; then
+	echo "$as_me:2016: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+	KFLAGS='-Wno-trigraphs -Wstrict-prototypes -O2  -fno-strict-aliasing -fno-common -g \
' +        CFLAGS='$(KFLAGS) $(MFLAGS)'
+	CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. -I$(LINUX)/include \
-I/usr/include/dafs -I$(top_srcdir)/include  -U__i386__ -Ui386 -DUM_FASTCALL \
-D__arch_um__ -DSUBARCH="i386" -DNESTING=0 -D_LARGEFILE64_SOURCE \
-I$(LINUX)/arch/um/include -Derrno=kernel_errno' +else
+	echo "$as_me:2022: result: no" >&5
+echo "${ECHO_T}no" >&6
+        KFLAGS='-g -O2 -Wall -Wstrict-prototypes -pipe'
+        CFLAGS='$(KFLAGS) $(MFLAGS)'
+        CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. \
-I$(LINUX)/include -I/usr/include/dafs -I$(top_srcdir)/include' +fi
 
-echo "$as_me:2018: checking if autoconf.h is in kernel source" >&5
+echo "$as_me:2029: checking if autoconf.h is in kernel source" >&5
 echo $ECHO_N "checking if autoconf.h is in kernel source... $ECHO_C" >&6
 if test -f $LINUX/include/linux/autoconf.h ; then
-	echo "$as_me:2021: result: yes" >&5
+	echo "$as_me:2032: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-	{ { echo "$as_me:2024: error: ** cannot find $LINUX/include/linux/autoconf.h. Run \
make config in $LINUX." >&5 +	{ { echo "$as_me:2035: error: ** cannot find \
$LINUX/include/linux/autoconf.h. Run make config in $LINUX." >&5  echo "$as_me: \
error: ** cannot find $LINUX/include/linux/autoconf.h. Run make config in $LINUX." \
>&2;}  { (exit 1); exit 1; }; }
 fi
 
-echo "$as_me:2029: checking for MODVERSIONS" >&5
+echo "$as_me:2040: checking for MODVERSIONS" >&5
 echo $ECHO_N "checking for MODVERSIONS... $ECHO_C" >&6
 if egrep -e 'MODVERSIONS.*1' $LINUX/include/linux/autoconf.h >/dev/null 2>&1;
 then
 	MFLAGS="-DMODVERSIONS -include $LINUX/include/linux/modversions.h"
-	echo "$as_me:2034: result: yes" >&5
+	echo "$as_me:2045: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
 	MFLAGS=
-	echo "$as_me:2038: result: no" >&5
+	echo "$as_me:2049: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:2042: checking for SMP" >&5
+echo "$as_me:2053: checking for SMP" >&5
 echo $ECHO_N "checking for SMP... $ECHO_C" >&6
 if egrep -e SMP=y $LINUX/.config >/dev/null 2>&1; then
 	SMPFLAG=-D__SMP__
-	echo "$as_me:2046: result: yes" >&5
+	echo "$as_me:2057: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
 	SMPFLAG=
-	echo "$as_me:2050: result: no" >&5
+	echo "$as_me:2061: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:2054: checking for Linux release" >&5
+echo "$as_me:2065: checking for Linux release" >&5
 echo $ECHO_N "checking for Linux release... $ECHO_C" >&6
 
 LVERSION="`sed -ne 's/^VERSION[ 	]*=[ 	]*//gp' $LINUX/Makefile`"
@@ -2064,7 +2075,7 @@
 
 modulefsdir='$(moduledir)/fs'
 
-echo "$as_me:2067: result: $RELEASE" >&5
+echo "$as_me:2078: result: $RELEASE" >&5
 echo "${ECHO_T}$RELEASE" >&6
 
 # Directories for documentation and demos.
@@ -2072,7 +2083,7 @@
 
 demodir='$(docdir)/demo'
 
-ac_config_files="$ac_config_files Makefile utils/Makefile filterobd/Makefile \
class/Makefile ext2obd/Makefile obdfs/Makefile obdtrace/Makefile demos/Makefile \
snap/Makefile doc/Makefile scripts/Makefile" +ac_config_files="$ac_config_files \
Makefile mds/Makefile utils/Makefile filterobd/Makefile class/Makefile \
ext2obd/Makefile llight/Makefile obdfs/Makefile obdtrace/Makefile demos/Makefile \
snap/Makefile doc/Makefile scripts/Makefile"  cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -2182,7 +2193,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:2185: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:2196: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -2350,7 +2361,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:2353: error: ambiguous option: $1
+    { { echo "$as_me:2364: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -2369,7 +2380,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:2372: error: unrecognized option: $1
+  -*) { { echo "$as_me:2383: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -2405,17 +2416,19 @@
   case "$ac_config_target" in
   # Handling of arguments.
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+  "mds/Makefile" ) CONFIG_FILES="$CONFIG_FILES mds/Makefile" ;;
   "utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES utils/Makefile" ;;
   "filterobd/Makefile" ) CONFIG_FILES="$CONFIG_FILES filterobd/Makefile" ;;
   "class/Makefile" ) CONFIG_FILES="$CONFIG_FILES class/Makefile" ;;
   "ext2obd/Makefile" ) CONFIG_FILES="$CONFIG_FILES ext2obd/Makefile" ;;
+  "llight/Makefile" ) CONFIG_FILES="$CONFIG_FILES llight/Makefile" ;;
   "obdfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES obdfs/Makefile" ;;
   "obdtrace/Makefile" ) CONFIG_FILES="$CONFIG_FILES obdtrace/Makefile" ;;
   "demos/Makefile" ) CONFIG_FILES="$CONFIG_FILES demos/Makefile" ;;
   "snap/Makefile" ) CONFIG_FILES="$CONFIG_FILES snap/Makefile" ;;
   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
   "scripts/Makefile" ) CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
-  *) { { echo "$as_me:2418: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:2431: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -2513,10 +2526,10 @@
 s,@ac_ct_CC@,$ac_ct_CC,;t t
 s,@EXEEXT@,$EXEEXT,;t t
 s,@OBJEXT@,$OBJEXT,;t t
-s,@KFLAGS@,$KFLAGS,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LINUX@,$LINUX,;t t
+s,@KFLAGS@,$KFLAGS,;t t
 s,@MFLAGS@,$MFLAGS,;t t
 s,@SMPFLAG@,$SMPFLAG,;t t
 s,@moduledir@,$moduledir,;t t
@@ -2638,7 +2651,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:2641: creating $ac_file" >&5
+    { echo "$as_me:2654: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -2656,7 +2669,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:2659: error: cannot find input file: $f" \
>&5 +         test -f "$f" || { { echo "$as_me:2672: error: cannot find input file: \
> $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -2669,7 +2682,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:2672: error: cannot find input file: $f" >&5
+           { { echo "$as_me:2685: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;

Index: configure.in
===================================================================
RCS file: /cvsroot/lustre/obd/configure.in,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- configure.in	2001/12/11 21:08:40	1.7
+++ configure.in	2001/12/28 04:41:15	1.8
@@ -19,11 +19,6 @@
 fi
 AC_PROG_CC
 
-# There is surely a better way to do this:
-KFLAGS='-g -O2 -Wall -Wstrict-prototypes -pipe'
-AC_SUBST(KFLAGS)
-CFLAGS='$(KFLAGS) $(MFLAGS)'
-CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. -I$(LINUX)/include \
-I/usr/include/dafs -I$(top_srcdir)/include'  \
######################################################################  
 AC_PROG_RANLIB
@@ -41,6 +36,21 @@
 	AC_MSG_ERROR(** cannot find $LINUX/include/linux/config.h. Run make dep in $LINUX.)
 fi
 
+AC_MSG_CHECKING(if you are running user mode linux)
+if test X`readlink $LINUX/include/asm`='Xasm-um' ; then
+	AC_MSG_RESULT(yes)
+	KFLAGS='-Wno-trigraphs -Wstrict-prototypes -O2  -fno-strict-aliasing -fno-common -g \
' +        CFLAGS='$(KFLAGS) $(MFLAGS)'
+	CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. -I$(LINUX)/include \
-I/usr/include/dafs -I$(top_srcdir)/include  -U__i386__ -Ui386 -DUM_FASTCALL \
-D__arch_um__ -DSUBARCH="i386" -DNESTING=0 -D_LARGEFILE64_SOURCE \
-I$(LINUX)/arch/um/include -Derrno=kernel_errno' +else 	
+	AC_MSG_RESULT(no)
+        KFLAGS='-g -O2 -Wall -Wstrict-prototypes -pipe'
+        CFLAGS='$(KFLAGS) $(MFLAGS)'
+        CPPFLAGS='-D__KERNEL__ $(SMPFLAG) -DDAFS_KERNEL -DMODULE -I. \
-I$(LINUX)/include -I/usr/include/dafs -I$(top_srcdir)/include' +fi
+
+AC_SUBST(KFLAGS)
+
 AC_MSG_CHECKING(if autoconf.h is in kernel source)
 if test -f $LINUX/include/linux/autoconf.h ; then
 	AC_MSG_RESULT(yes)
@@ -96,6 +106,6 @@
 demodir='$(docdir)/demo'
 AC_SUBST(demodir)
 
-AC_OUTPUT(Makefile utils/Makefile filterobd/Makefile class/Makefile ext2obd/Makefile \
obdfs/Makefile \ +AC_OUTPUT(Makefile mds/Makefile utils/Makefile filterobd/Makefile \
class/Makefile ext2obd/Makefile llight/Makefile obdfs/Makefile \  obdtrace/Makefile \
demos/Makefile snap/Makefile doc/Makefile \  scripts/Makefile)


_______________________________________________
Lustre-cvs mailing list
Lustre-cvs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/lustre-cvs


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic